Subject: [Sip] Difference between SIP URL and SIP URI

From: Home Cortes John Alexander <[email-masked]>
Date: Fri, 16 Jan 2004 17:24:48 +0100

I'm studying the specification 3GPP TS 23.228, and there are concepts related to SIP. I would like to know some concepts and clarify some terms. The identification of User are defined by some user identities. It's defined that the temporary public user identity shall take the form of a SIP URL as described in the section 4.3.3.1 (3GPP TS 23.228 V5.9.0 (2003-06), "Network Architecture" (Release 5). I looked for this term "SIP URL" in the RFC3261 and SIP URL is not mentioned. As far as know, user agents are identify for a SIP URI. 

I would like to know what is the difference between SIP URL and SIP URI?

I would appreciate for your help
Thanks in advance.
John Home 

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please contact us by
replying to [email-masked]. Thank you
====================================================================

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Brett Tate" <[email-masked]>
Date: Mon, 19 Jan 2004 12:21:52 -0500

> between SIP URL and SIP URI?

There was a naming problem.

RFC 2543 should have defined a SIP URI
instead of SIP URL.  It was corrected
by RFC 3261.  All reference to SIP URL
should be references to SIP URI.

The same problem exists concerning 
RFC 2806's definition of telephone-url.
It should have been telephone-uri.  
It is corrected within the rfc2806bis.